UnifAPI Docs
Twitter

Search Twitter / X tweets by keyword

GET
/twitter/search

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Query Parameters

cursor?string
q*string

Search keyword.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/twitter/search?q=string"
{
  "items": [
    {
      "id": "string",
      "tweet_id": "string",
      "text": "string",
      "display_text": "string",
      "lang": "string",
      "created_at": "string",
      "like_count": 0,
      "retweet_count": 0,
      "reply_count": 0,
      "quote_count": 0,
      "bookmark_count": 0,
      "view_count": 0,
      "is_sensitive": true,
      "conversation_id": "string",
      "in_reply_to_tweet_id": "string",
      "in_reply_to_screen_name": "string",
      "author": {
        "id": "string",
        "rest_id": "string",
        "screen_name": "string",
        "name": "string",
        "description": "string",
        "avatar_url": "string",
        "follower_count": 0,
        "following_count": 0
      },
      "media": [
        {
          "type": "string",
          "media_url": "string",
          "video_url": "string"
        }
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}